< návrat zpět

Diskuse


Téma: Nová verze 8 - stav ? rss

Zaslal/a 14.6.2020 13:55

Dobrý den, chci se informovat jak vypadá práce na nejnovější verzi Sunlight v.8. Od oznámení už uplynoli skoro 2 roky a od poslední vydané beta verze rok. Tak mě zajímá jestli se na systému ještě stále pracuje a jestli máte nějaký odhad pro vydání a spuštění nového webu, který by měl být údajně také součástí.

Díky

Jméno
Kontrola
Text
  b i u s img code url hr   1 2 3 4 5 6 7 8 9 10

#022182
Bohužel nedokážu dát žádný termín - až to bude tak to bude 1 Pro nedočkavé je verze 8 dostupná na githubu, moc se už měnit nebude.
#022187
Tez bych chtel pouzit tu jejich 8ku ale nejde to bez nejakeho composeru a ač postupuju podle yt navodu na composer composer mi pise tuto chybu

C:\xampp\htdocs\sun>composer install --prefer-dist
Loading composer repositories with package information
Updating dependencies (including require-dev)
Your requirements could not be resolved to an installable set of packages.

Problem 1
- The requested package composer/semver ^2.1 exists as composer/semver[0.1.0, 1.0.0, 1.1.0, 1.2.0, 1.3.0, 1.4.0, 1.4.1, 1.4.2, 1.5.0, 1.5.1, 1.x-dev, 2.0.0, 3.0.0, dev-master, 3.x-dev] but these are rejected by your constraint.
#022195
Večer se mrknu, pokud mě nepředběhne Shira.
#022198
Děkuji jste moc hodný. Otec jde do důchodu a tak chci mu udělat radost ať ma nějaký koníček a může něčím trávit volný čas.
#022201
Koukal jsem na uvolněné verze závislosti composer/semver a je tam verze 2.0.0 a pak hned 3.0.0
Takže je potřeba v souboru composer.json na řádku 21 změnit hodnotu z 2.1 na 2.0 a soubor samozřejmě uložit v UTF8 kódování.
#022230
Ahoj,
snad nebude vadit, když to písnu sem ..
chtěla jsem zkusit verzi 8 , ale nějak to nedokážu zprovoznit 7
Píše mi to Missing dependencies in the vendor directory. Did you run composer install? .. nevím, jestli jsem jen něco špatně vyplnila nebo něco chybí ? Myslela jsem, že zase jen upravím config .. ale jestli je tam potřeba ještě něco jinýho, tak jsem v háji 4
#022231
Pro sestavení je potřeba mít nainstalovaný composer a přes příkazový řádek v kořenové složce následně spustit příkaz composer install, kdy proběhne doinstalování závislostí systému. Na Githubu je vývojová verze, u oficiálního sestavení již nebude toto potřeba.
#022232
jo tak toho jsem se obávala 4 .. no jestli se mi to podaří pochopit , jinak budu muset počkat na oficiální verzi 10